Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifiers.performanceMeasures
Class MaximumNumericalTwoClassMeasure

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.classifiers.performanceMeasures.AbstractPerformanceMeasure
              de.jstacs.classifiers.performanceMeasures.TwoClassAbstractPerformanceMeasure
                  de.jstacs.classifiers.performanceMeasures.MaximumNumericalTwoClassMeasure

All Implemented Interfaces:
  NumericalPerformanceMeasure, GalaxyConvertible, Storable, Cloneable

Direct Known Subclasses:
  MaximumCorrelationCoefficient, MaximumFMeasure

    public abstract class MaximumNumericalTwoClassMeasure

extends TwoClassAbstractPerformanceMeasure
implements NumericalPerformanceMeasure

This class prepares everything for an easy implementation of a maximum of any numerical performance measure.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`protected` | `MaximumNumericalTwoClassMeasure()` Constructs a new instance of the performance measure `MaximumNumericalTwoClassMeasure`.
`protected` | `MaximumNumericalTwoClassMeasure(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`NumericalResultSet` | `compute(double[][][] classSpecificScores)` This method allows to compute the performance measure of given class specific scores.
`NumericalResultSet` | `compute(double[] sortedScoresClass0, double[] sortedScoresClass1)` This method allows to compute the performance measure of given sorted score ratios.
`protected abstract double` | `getMeasure(double tp, double fp, double fn, double tn)` This measure compute the measure for a given confusion matrix
`protected abstract String` | `getMeasureName()` This method returns a short name of the measure without any parameters.
`String` | `getName()` The method returns the name of the performance measure.
`protected abstract String` | `getSpecificName()` This method returns a specific name of the measure including any parameters.

Methods inherited from class de.jstacs.classifiers.performanceMeasures.TwoClassAbstractPerformanceMeasure
`getAllowedNumberOfClasses`

Methods inherited from class de.jstacs.classifiers.performanceMeasures.AbstractPerformanceMeasure
`getCollectionOfAllMeasures`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromGalaxy, fromXML, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy, toXML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaximumNumericalTwoClassMeasure

    protected MaximumNumericalTwoClassMeasure()

  Constructs a new instance of the performance measure `MaximumNumericalTwoClassMeasure`.

### MaximumNumericalTwoClassMeasure

    protected MaximumNumericalTwoClassMeasure(StringBuffer xml)
                                       throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `MaximumNumericalTwoClassMeasure` out of an XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `MaximumFMeasure` could not be reconstructed out of the `StringBuffer` `xml`

Method Detail

### getName

    public final String getName()

  Description copied from class: `AbstractPerformanceMeasure`
  The method returns the name of the performance measure.

  Specified by:
    `getName` in class `AbstractPerformanceMeasure`
  Returns:
    the name of the performance measure

### getMeasureName

    protected abstract String getMeasureName()

  This method returns a short name of the measure without any parameters.

  Returns:
    a short name of the measure without any parameters

### getSpecificName

    protected abstract String getSpecificName()

  This method returns a specific name of the measure including any parameters.

  Returns:
    a specific name of the measure including any parameters

### getMeasure

    protected abstract double getMeasure(double tp,
                                         double fp,
                                         double fn,
                                         double tn)

  This measure compute the measure for a given confusion matrix

  Parameters:
    `tp` - true positives
    `fp` - false positives
    `fn` - false negatives
    `tn` - true negative
  Returns:
    the value of the measure

### compute

    public NumericalResultSet compute(double[] sortedScoresClass0,
                                      double[] sortedScoresClass1)

  Description copied from class: `AbstractPerformanceMeasure`
  This method allows to compute the performance measure of given sorted score ratios. This method can only be used for binary classifiers.

  Specified by:
    `compute` in interface `NumericalPerformanceMeasure`
  Specified by:
    `compute` in class `AbstractPerformanceMeasure`
  Parameters:
    `sortedScoresClass0` - the sorted score ratios of class 0
    `sortedScoresClass1` - the sorted score ratios of class 1
  Returns:
    a result set containing the results of the performance measure
  See Also:
    `Arrays.sort(double[])`

### compute

    public NumericalResultSet compute(double[][][] classSpecificScores)

  Description copied from class: `AbstractPerformanceMeasure`
  This method allows to compute the performance measure of given class specific scores.

  Specified by:
    `compute` in interface `NumericalPerformanceMeasure`
  Overrides:
    `compute` in class `TwoClassAbstractPerformanceMeasure`
  Parameters:
    `classSpecificScores` - the scores; first dimension = data sets, second dimension = sequences of the data set, third dimension classes of the classifier
  Returns:
    a result set containing the results of the performance measure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD